package com.platform.modules.plm.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import org.hibernate.validator.constraints.NotBlank;
/**
 * 资源信息表
 * 
 * @author weiyan
 * @email 
 * @date 2018-08-06 19:34:17
 */
@TableName("plm_material")
public class PlmMaterialEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	@NotBlank(message = "id不能为空")
	@TableId
	private Long id;
	//标题
	@NotBlank(message = "materialTitle不能为空")
	private String materialTitle;
	//摘要
	@NotBlank(message = "materialDescription不能为空")
	private String materialDescription;
	//资源类型，视频等 1视频 2语音 3图片
	@NotBlank(message = "materialType不能为空")
	private Integer materialType;
	//封面图
	@NotBlank(message = "materialCoverUrl不能为空")
	private String materialCoverUrl;
	//原封面图
	@NotBlank(message = "materialCoverOriUrl不能为空")
	private String materialCoverOriUrl;
	//资源URl
	@NotBlank(message = "materialUrl不能为空")
	private String materialUrl;
	//原资源URl
	@NotBlank(message = "materialOriUrl不能为空")
	private String materialOriUrl;
	//资源大小
	@NotBlank(message = "materialSize不能为空")
	private String materialSize;
	//资源大小
	@NotBlank(message = "fileSize不能为空")
	private Long fileSize;
	//资源时长（S）（视频、语音）
	@NotBlank(message = "materialDuration不能为空")
	private String materialDuration;
	//资源时长（视频、语音）
	@NotBlank(message = "playTime不能为空")
	private Long playTime;
	//资源来源 1 本地上传，2快手下载，3现场下载，4现场报道下载
	@NotBlank(message = "materialSources不能为空")
	private Integer materialSources;
	//资源来源 来源ID
	@NotBlank(message = "materialSrcId不能为空")
	private String materialSrcId;
	//资源状态(0下载中或上传中，1下载完成)
	@NotBlank(message = "materialStatus不能为空")
	private Integer materialStatus;
	//创建日期
	@NotBlank(message = "createDate不能为空")
	private Date createDate;
	//创建人
	@NotBlank(message = "createUser不能为空")
	private Long createUser;
	//修改日期
	@NotBlank(message = "updateDate不能为空")
	private Date updateDate;
	//修改人
	@NotBlank(message = "updateUser不能为空")
	private Long updateUser;
	//是否删除
	@NotBlank(message = "isDelete不能为空")
	private Integer isDelete;
	
	@TableField(exist=false)
	private String updateUserName;
	@TableField(exist=false)
	private String createUserName;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：标题
	 */
	public void setMaterialTitle(String materialTitle) {
		this.materialTitle = materialTitle;
	}
	/**
	 * 获取：标题
	 */
	public String getMaterialTitle() {
		return materialTitle;
	}
	/**
	 * 设置：摘要
	 */
	public String getMaterialDescription() {
		return materialDescription;
	}
	/**
	 * 获取：摘要
	 */
	public void setMaterialDescription(String materialDescription) {
		this.materialDescription = materialDescription;
	}
	/**
	 * 设置：资源类型，视频等 1视频 2语音 3图片
	 */
	public void setMaterialType(Integer materialType) {
		this.materialType = materialType;
	}
	/**
	 * 获取：资源类型，视频等 1视频 2语音 3图片
	 */
	public Integer getMaterialType() {
		return materialType;
	}
	/**
	 * 设置：封面图
	 */
	public void setMaterialCoverUrl(String materialCoverUrl) {
		this.materialCoverUrl = materialCoverUrl;
	}
	/**
	 * 获取：封面图
	 */
	public String getMaterialCoverUrl() {
		return materialCoverUrl;
	}
	/**
	 * 设置：原封面图
	 */
	public String getMaterialCoverOriUrl() {
		return materialCoverOriUrl;
	}
	/**
	 * 获取：原封面图
	 */
	public void setMaterialCoverOriUrl(String materialCoverOriUrl) {
		this.materialCoverOriUrl = materialCoverOriUrl;
	}
	/**
	 * 设置：原封面图
	 */
	public String getMaterialOriUrl() {
		return materialOriUrl;
	}
	/**
	 * 获取：原封面图
	 */
	public void setMaterialOriUrl(String materialOriUrl) {
		this.materialOriUrl = materialOriUrl;
	}
	/**
	 * 设置：资源URl
	 */
	public void setMaterialUrl(String materialUrl) {
		this.materialUrl = materialUrl;
	}
	/**
	 * 获取：资源URl
	 */
	public String getMaterialUrl() {
		return materialUrl;
	}
	/**
	 * 设置：资源大小
	 */
	public void setMaterialSize(String materialSize) {
		this.materialSize = materialSize;
	}
	/**
	 * 获取：资源大小
	 */
	public String getMaterialSize() {
		return materialSize;
	}
	
	public Long getFileSize() {
		return fileSize;
	}
	public void setFileSize(Long fileSize) {
		this.fileSize = fileSize;
	}
	public Long getPlayTime() {
		return playTime;
	}
	public void setPlayTime(Long playTime) {
		this.playTime = playTime;
	}
	/**
	 * 设置：资源时长（S）（视频、语音）
	 */
	public void setMaterialDuration(String materialDuration) {
		this.materialDuration = materialDuration;
	}
	/**
	 * 获取：资源时长（S）（视频、语音）
	 */
	public String getMaterialDuration() {
		return materialDuration;
	}
	/**
	 * 设置：资源来源 1 本地上传，2快手下载，3现场下载
	 */
	public void setMaterialSources(Integer materialSources) {
		this.materialSources = materialSources;
	}
	/**
	 * 获取：资源来源 1 本地上传，2快手下载，3现场下载
	 */
	public Integer getMaterialSources() {
		return materialSources;
	}
	/**
	 * 设置：资源来源ID
	 */
	public String getMaterialSrcId() {
		return materialSrcId;
	}
	/**
	 * 获取：资源来源ID
	 */
	public void setMaterialSrcId(String materialSrcId) {
		this.materialSrcId = materialSrcId;
	}
	/**
	 * 设置：素材状态 0 处理中 1 处理完成 
	 */	
	public Integer getMaterialStatus() {
		return materialStatus;
	}
	/**
	 * 获取：素材状态 0 处理中 1 处理完成 
	 */
	public void setMaterialStatus(Integer materialStatus) {
		this.materialStatus = materialStatus;
	}
	/**
	 * 设置：创建日期
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：创建日期
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：创建人
	 */
	public void setCreateUser(Long createUser) {
		this.createUser = createUser;
	}
	/**
	 * 获取：创建人
	 */
	public Long getCreateUser() {
		return createUser;
	}
	/**
	 * 设置：修改日期
	 */
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	/**
	 * 获取：修改日期
	 */
	public Date getUpdateDate() {
		return updateDate;
	}
	/**
	 * 设置：修改人
	 */
	public void setUpdateUser(Long updateUser) {
		this.updateUser = updateUser;
	}
	/**
	 * 获取：修改人
	 */
	public Long getUpdateUser() {
		return updateUser;
	}
	/**
	 * 设置：是否删除
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	
	public String getUpdateUserName() {
		return updateUserName;
	}
	public void setUpdateUserName(String updateUserName) {
		this.updateUserName = updateUserName;
	}
	public String getCreateUserName() {
		return createUserName;
	}
	public void setCreateUserName(String createUserName) {
		this.createUserName = createUserName;
	}
	
	
}
